extensions / Commerce extension
POST
/__runtime/wishlist/itemsCreate Wishlist Item
Adds a product or variant to the current shopper's storefront wishlist.
POST
Authentication
- Requirement
- Not specified
- Credential type
- Not specified
- Scopes
- Not specified
Permissions
- Requires an authenticated storefront session or a guest wishlist cookie.
Headers
| Name | Required | Type | Details |
|---|---|---|---|
Cookie | Yes | Not specified | Description: Value used by this operation. |
Authorization | Yes | Not specified | Description: Bearer credential used to authenticate the request. |
User-Agent | Yes | Not specified | Description: Value used by this operation. |
Path Parameters
Query Parameters
Request Body
Schema: RuntimeWishlistItemRequest
| Field | Required | Type | Details |
|---|---|---|---|
project_id | Yes | integer | Description: Target project identifier. |
product_id | Yes | integer | Description: Target product identifier. |
variant_id | No | integer | Description: Identifier for variant. |
variant_sku | No | string | Description: Text value. |
variant_label | No | string | Description: Human-readable label. |
variant_attributes | No | JSON | Description: JSON object. |
product_item_code | No | string | Description: Text value. |
Response Body
Example 200 response
json
{
"items": [],
"item_keys": [],
"entries": [],
"total": 1,
"selected": true,
"html": "string"
}Errors
400 BAD_REQUEST500 INTERNAL_SERVER_ERRORAvailability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified

